Bug 151331 - net port: devel/dbus fix startup on diskless systems
Summary: net port: devel/dbus fix startup on diskless systems
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-09 08:20 UTC by Zane C. Bowers-Hadley
Modified: 2010-10-22 23:40 UTC (History)
0 users

See Also:


Attachments
devel_dbus_files_dbus.in.diff (341 bytes, patch)
2010-10-09 08:20 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2010-10-09 08:20:01 UTC

Booting a FreeBSD diskless system will mount "/var/" as a memory disk with little included in it. So for dbus, the required directories need recreated. This patch checks for it and does so if needed.

How-To-Repeat: 

1: PXE boot a FreeBSD install
2: run "/usr/local/etc/rc.d/dbus start"
3: watch any thing dbus related error as "/var/db/dbus/machine-id" does not exist
4: apply patch and restart it
5: enjoy
Comment 1 Edwin Groothuis freebsd_committer 2010-10-09 08:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2010-10-17 10:37:38 UTC
State Changed
From-To: open->patched

Patched this in MarcusCom CVS. 
http://www.marcuscom.com:8080/cgi-bin/cvsweb.cgi/ports/devel/dbus/files/dbus.in
Comment 3 dfilter service freebsd_committer 2010-10-22 23:32:24 UTC
kwm         2010-10-22 22:32:20 UTC

  FreeBSD ports repository

  Modified files:
    devel/dbus           Makefile distinfo 
    devel/dbus/files     dbus.in patch-dbus-1.pc.in 
                         patch-dbus_dbus-connection.c 
  Removed files:
    devel/dbus/files     patch-bus_dir-watch-kqueue.c 
  Log:
  Update to 1.4.0.
  
  Fix dbus launch on diskless systems [1]
  
  PR:             ports/151331 [1], ports/132304
  Submitted by:   Zane C.B. <vvelox@vvelox.net> [1]
  
  Revision  Changes    Path
  1.80      +3 -3      ports/devel/dbus/Makefile
  1.32      +3 -3      ports/devel/dbus/distinfo
  1.17      +7 -0      ports/devel/dbus/files/dbus.in
  1.2       +0 -11     ports/devel/dbus/files/patch-bus_dir-watch-kqueue.c (dead)
  1.5       +4 -5      ports/devel/dbus/files/patch-dbus-1.pc.in
  1.2       +14 -12    ports/devel/dbus/files/patch-dbus_dbus-connection.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2010-10-22 23:35:01 UTC
State Changed
From-To: patched->closed

Update committed to the FreeBSD ports. Thanks!